package jmsltestsuite;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.nio.charset.Charset;
import java.util.Iterator;
import java.util.Set;
import java.util.SortedMap;

import javax.swing.JDialog;
import javax.swing.JTextField;

public class Encodings implements ActionListener {

	String messageToEncode = "none";
	StringDialog stringDialog = new StringDialog(this);

	public void actionPerformed(ActionEvent ev) {
		JTextField t = (JTextField) ev.getSource();
		System.out.println(t.getText());
		messageToEncode = t.getText();
		try {
			PrintWriter out = new PrintWriter(new File("dada.txt"));
			out.println(messageToEncode);
			out.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} 
//		catch (UnsupportedEncodingException e) {
//			e.printStackTrace();
//		}
	}

	public static void main(String[] arg) {
		SortedMap m = Charset.availableCharsets();
		Set k = m.keySet();
		System.out.println("Canonical name, Display name," + " Can encode, Aliases");
		Iterator i = k.iterator();
		while (i.hasNext()) {
			String n = (String) i.next();
			Charset e = (Charset) m.get(n);
			String d = e.displayName();
			boolean c = e.canEncode();
			System.out.print(n + ", " + d + ", " + c);
			Set s = e.aliases();
			Iterator j = s.iterator();
			while (j.hasNext()) {
				String a = (String) j.next();
				System.out.print(", " + a);
			}
			System.out.println("");
		}

		new Encodings().stringDialog.setVisible(true);

	}
}

class StringDialog extends JDialog {

	JTextField textField = new JTextField();

	public StringDialog(ActionListener parent) {
		add(textField);
		textField.addActionListener(parent);
		pack();
	}

}