package jmsltestsuite;

import com.jsyn.JSyn;
import com.jsyn.Synthesizer;
import com.jsyn.unitgen.LineOut;
import com.softsynth.shared.time.TimeStamp;

public class JSyn2SimpleTest {

	public static void main(String[] args) {
		Synthesizer synth = JSyn.createSynthesizer();
		synth.start();

		// SineOscillator osc = new SineOscillator();
		// synth.add(osc);

//		 com.jsyn.instruments.ClassicSynthVoice voice = new com.jsyn.instruments.ClassicSynthVoice();
		com.jsyn.instruments.WaveShapingVoice voice = new com.jsyn.instruments.WaveShapingVoice();
		
		synth.add(voice);

//		voice.range.set(0.5);
		voice.pitchModulation.set(1);
		
		LineOut out = new LineOut();
		synth.add(out);
		out.start();

		voice.getOutput().connect(out.input);

		voice.noteOn(500, 0.75, new TimeStamp(synth.getCurrentTime()));
		voice.noteOn(300, 0.75, new TimeStamp(synth.getCurrentTime() + 2));
		voice.noteOff(new TimeStamp(synth.getCurrentTime() + 3));

		try {
			Thread.sleep(4000);
		} catch (InterruptedException e) {
		}
		synth.stop();
		System.exit(0);
	}
}
