package jmsltestsuite;

import com.softsynth.jmsl.*;

public class LurkerTest implements PlayLurker {
	public void notifyPlayLurker(double playTime, MusicJob list, int index) {
		System.out.println("TestLurker lurking at " + playTime + ", passed index: " + index + " JMSL.now()=" + JMSL.now());
		LurkerEvent ev = new LurkerEvent(index);
		ev.setPlayTime(playTime + 2);
		JMSL.scheduler.post(ev);
	}
}

class LurkerEvent implements ScheduledEvent {
	int ID;
	double playTime;

	public LurkerEvent(int ID) {
		this.ID = ID;
	}

	public double getPlayTime() {
		return playTime;
	}
	public void setPlayTime(double playTime) {
		this.playTime = playTime;
	}
	public void play() {
		System.out.println("LurkerEvent ID: " + ID + " scheduled at " + playTime + ", played at " + JMSL.now());
	}
}
