/*
 * Created on Jan 2, 2006 by Nick
 *
 */
package jmsltestsuite;

import java.awt.Color;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import com.softsynth.jmsl.JMSLRandom;
import com.softsynth.jmsl.score.*;

/**
 * Exercise various notehead types. Not all of these will import into Finale vie Dolet/MusicXML
 * 
 * @author Nick Didkovsky, (c) 2005 Nick Didkovsky, nick@didkovsky.com
 * 
 */
public class StaffVisibility {

    public static void main(String[] args) {
        Score score = new Score(5, 800, 600);
        score.addMeasure(4, 4);
        score.addMeasure(4, 4);
        score.addMeasure(4, 4);
        score.getMeasure(0).getStaff(1).setStaffVisible(false);
        score.getMeasure(1).getStaff(1).setStaffVisible(false);
        score.getMeasure(2).getStaff(1).setStaffVisible(false);

        final ScoreFrame scoreFrame = new ScoreFrame();
        scoreFrame.addScore(score);
        scoreFrame.pack();
        scoreFrame.setVisible(true);
        scoreFrame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                scoreFrame.quit();
            }
        });
    }
}
