/*
 * Created on Jan 18, 2011 by Nick
 *
 */
package jmsltestsuite;

import java.awt.TextField;
import java.awt.event.*;

import javax.swing.JFrame;

import com.softsynth.jmsl.score.*;

public class TestHoldScalerForMouseInput {
    Score score;
    ScoreFrame scoreFrame;

    void buildScore() {
        score = new Score(2, 800, 600);
        score.addMeasure();
        scoreFrame = new ScoreFrame();
        scoreFrame.addScore(score);
        scoreFrame.pack();
        scoreFrame.setVisible(true);
        scoreFrame.addWindowListener(new WindowAdapter() {

            public void windowClosing(WindowEvent arg0) {
                System.exit(0);
            }
        });
    }

    void buildHoldScalerInput() {
        JFrame f = new JFrame("Type in Hold Scaler and hit enter. Then enter notes with mouse. Hold time will be scaled as spec'ed");
        final TextField tf = new TextField("0.8");
        f.add(tf);
        tf.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                double scaler = new Double(tf.getText()).doubleValue();
                NoteFactory.setHoldScaler(scaler);
            }
        });
        f.pack();
        f.setVisible(true);
    }

    public static void main(String[] args) {
        TestHoldScalerForMouseInput test = new TestHoldScalerForMouseInput();
        test.buildScore();
        test.buildHoldScalerInput();
    }
}
