/*
 * Created on Oct 25, 2010 by Nick
 *
 */
package jmsltestsuite;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import com.softsynth.jmsl.score.Score;
import com.softsynth.jmsl.score.ScoreFrame;

public class TestPermitOwnScoreCanvasConstructor {

    public static void main(String[] args) {
        ScoreFrame frame = new ScoreFrame();
        Score firstScore = new Score(1);
        firstScore.addMeasure();
        frame.addScore(firstScore);
        frame.setVisible(true);

        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent arg0) {
                System.exit(0);
            }
        });

        int numStaves = 1;
        int width = 800;
        int height = 400;
        String title = "My Second Score";
        boolean permitOwnCanvasInBuild = false;
        Score anotherScore = new Score(numStaves, width, height, title, permitOwnCanvasInBuild);
        anotherScore.addMeasures(5);

    }

}
