package jmsltestsuite;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import com.softsynth.jmsl.JMSL;
import com.softsynth.jmsl.score.*;

/**  

 * 
 * @author Nick Didkovsky and Phil Burk, copyright 2000 Nick Didkovsky and Phil Burk
*/
public class ExtendedStaffLines {

	public static void main(String args[]) {
		int w = 1000;
		int h = 750;
		int numStaves = 2;
		Score score = new Score(numStaves, w, h, "Extended staff lines");
		Measure m1 = score.addMeasure();
		Measure m2 = score.addMeasure();
		Measure m3 = score.addMeasure();
		
//		m1.setDoubleBar(true);
//		m2.setDoubleBar(true);
//		m3.setDoubleBar(true);
//		
//		m1.setPeriodDoubleBar(true);
//		m2.setPeriodDoubleBar(true);
//		m3.setPeriodDoubleBar(true);
		
		m1.setRepeatStart(true);
		m2.setRepeatStart(true);
		m3.setRepeatStart(true);
//		
		m1.setRepeatEnd(true);
		m2.setRepeatEnd(true);
		m3.setRepeatEnd(true);
		
		m1.getStaff(0).setExtendedLinesAbove(2);
		m1.getStaff(1).setExtendedLinesBelow(5);
		
		m2.getStaff(0).setExtendedLinesBelow(3);
		m2.getStaff(0).setExtendedLinesAbove(3);
//		
		m2.getStaff(1).setExtendedLinesAbove(4);
		m3.getStaff(1).setExtendedLinesBelow(3);
		
		ScoreFrame scoreFrame = new ScoreFrame();
		scoreFrame.addScore(score);
		scoreFrame.setVisible(true);

		scoreFrame.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				JMSL.closeMusicDevices();
				System.exit(0);
			}
		});
	}
}