/*
 * Created on Dec 4, 2018 by nick
 *
 */
package jmsltestsuite;

import com.softsynth.jmsl.score.*;

public class InvisibleTupletTest {
    Score score;
    ScoreFrame scoreFrame;

    void addNote(double dur) {
        Note n = score.addNote(dur, 63, 0.5, 0.2);
        n.setVisible(false);
    }
    void test() {
        score = new Score(1, 500, 200, "Test invisible");
        Measure m = score.addMeasure();
        m.setMeasureText("Drag a rectangle around invisible notes below and hit the letter n to toggle visibility");
        addNote(0.333);
        addNote(0.666);
        addNote(0.20);
        
         
        scoreFrame = new ScoreFrame();
        scoreFrame.addScore(score);
        scoreFrame.pack();
        scoreFrame.setVisible(true);        
    }
    public static void main(String[] args) {
        new InvisibleTupletTest().test();
    }
    
}
