package jmsltestsuite;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import com.softsynth.jmsl.JMSL;
import com.softsynth.jmsl.score.*;

/**  
 *  Test accidental visibility of Notes
 * 
 * @author Nick Didkovsky and Phil Burk, copyright 2000 Nick Didkovsky and Phil Burk
*/
public class ScoreTestNoteAccidentalPolicy {

	public static void main(String args[]) {
		int w = 1000;
		int h = 750;
		int numStaves = 1;
		Score score = new Score(numStaves, w, h, "test note accidental policy");
		score.addMeasure(4, 4);
		double dur = 0.5;
		double pitch = 61;
		/*for (int i = 0; i < 16; i++) {
			Note n = score.addNote(dur, pitch, 0.5, dur * 0.8);
			Note n2 = n.addInterval(72);
			if (i < 4) {
				n.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_ALWAYS);
				n2.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_ALWAYS);
				n.setText("always");
			} else if (i < 8) {
				n.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_NORMAL);
				n2.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_NORMAL);
				n.setText("norm");
			} else if (i < 12) {
				n.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_NEVER);
				n2.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_NEVER);
				n.setText("never");
			}
			n.setTextOffsetY(20);
		}

		for (int i=0; i<4; i++) {
		    Note n = score.addNote(1.0, 66, 0.5, 0.8);
		    Note interval = n.addInterval(70);
		    n.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_ALWAYS);
		    interval.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_ALWAYS);
		}
		*/
		for (int i=0; i<2; i++) {
            Note n = score.addNote(1.0, 66, 0.5, 0.8);
            Note interval = n.addInterval(70);
            Note interval2 = n.addInterval(76);
//            n.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_ALWAYS);
//            interval.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_ALWAYS);
        }
		
		ScoreFrame scoreFrame = new ScoreFrame();
		scoreFrame.addScore(score);
		scoreFrame.setVisible(true);

		scoreFrame.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				JMSL.closeMusicDevices();
				System.exit(0);
			}
		});
	}
}