package jmsltutorial;

import com.softsynth.jmsl.JMSL;
import com.softsynth.jmsl.MusicJob;

public class HardCodedMusicJob extends MusicJob {

/** Override repeat() to provide your own functionality */
 public double repeat(double playTime) {
     System.out.println("I am a MusicJob");
     return playTime;  // return completion time
 }

 public static void main(String args[]) {
    HardCodedMusicJob myHardCodedMusicJob = new HardCodedMusicJob();    // build an instance of our class
    myHardCodedMusicJob.setRepeats(10);        // repeat 10 times
    myHardCodedMusicJob.setRepeatPause(1.5);   // wait 1.5 seconds between repeats
    myHardCodedMusicJob.launch(JMSL.now());    // fire away
 }
} 