/** 	
	
 * InsToot07EZb.java
 * 
 * Play a JSyn SynthNote with JMSL
 * 
 * This version uses a SynthNote that was designed in Wire
	
 * @author Nick Didkovsky
 * (C) 2003 Nick Didkovsky, All Rights Reserved
 * JMSL is based upon HMSL (C) Phil Burk, Larry Polansky and David Rosenboom.
 */

package jmsltutorial;

import com.softsynth.jsyn.AppletFrame;

public class InsToot07EZb extends InsToot07EZa {

	public void init() {
		SYNTHNOTE_CLASSNAME = "jmsltutorial.TutSquare";
	}

	/* Can be run as either an application or as an applet. */
	public static void main(String args[]) {
		InsToot07EZb applet = new InsToot07EZb();
		AppletFrame frame = new AppletFrame("JMSL Tutorial", applet);
		frame.setSize(600, 400);
		frame.show();
		frame.test();
	}

}
