/* Nick Didkovsky, 10/28/97 2:07PM Esslingen

	DrawingCanvas.java

	A reusable swatch for simple color and text output<BR>
	@author Nick Didkovsky
*/

package jmslexamples;
import java.awt.*;

public class DrawingCanvas extends Canvas {
 
 private String stringToPrint = null;
 private Color kolor;
 Font f = new Font("TimesRoman", Font.ITALIC, 24);
	
	public DrawingCanvas() {	}
	
	public void printMsg(String s, Color color) {
	  stringToPrint = s;
	  kolor = color;
	  repaint();
	}
	
	
	public void paint(Graphics g) {
	 if (stringToPrint != null) {
		g.setColor(kolor);
		g.setFont(f);
		g.drawString(stringToPrint, 10, 20);	
	 }
	}
}